Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035399
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2017-03-01 16:482017-03-03 10:36
ReporteregoitzView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4.3
StatusclosedFix in branchFixed in SCM revision0cb92027c585
ProjectionnoneETAnoneTarget Version3.0PR16Q4.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-11-17
Regression introduced in release3.0PR16Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/2c0caa49fcc0792e77c29ad705fe662b1eaf12d3 [^]
Triggers an Emergency PackNo
Summary

0035399: Not possible to get on the webservice regions of a country when those are defined to client 0.

DescriptionHaving both the countrys and regions (and translations) defined for Client System (0), when getting using xml rest webservices the information for the country, the regions are not shown on the response.
Steps To Reproduce-Access as system adminitrator and define a new region for country spain
-Logout and login with QA testing client.
-Go to the country and region window and see on the region tab that the new region for spain is shown.
-Access to the webservice
/ws/dal/Country/106
and the region is not shown.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0035397 closedcaristu Not possible to get on the webservice regions of a country when those are defined to client 0. 

-  Notes
(0094676)
hgbot (developer)
2017-03-02 09:25

Repository: erp/backports/3.0PR16Q4.3
Changeset: 0cb92027c58534c6b4df14d9546b71730ef7996c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Mar 02 09:22:31 2017 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4.3/rev/0cb92027c58534c6b4df14d9546b71730ef7996c [^]

fixes issue 35399: Check readable clients for child properties using DAL WS

Fix for issue 0029683 was introducing a security check to avoid showing child properties which belong to a client different from the current client. But this fix was preventing to display some readable objects like master data defined at system level (client 0).

Therefore this security check has been improved and now it is verified if the child property is defined for a client which is readable for the current role.

---
M src/org/openbravo/dal/xml/EntityXMLConverter.java
M src/org/openbravo/service/rest/DalWebService.java
---
(0094719)
alostale (developer)
2017-03-03 10:36

code reviewed + tested

- Issue History
Date Modified Username Field Change
2017-03-01 17:30 caristu Type defect => backport
2017-03-01 17:30 caristu Target Version => 3.0PR16Q4.3
2017-03-02 09:25 hgbot Checkin
2017-03-02 09:25 hgbot Note Added: 0094676
2017-03-02 09:25 hgbot Status scheduled => resolved
2017-03-02 09:25 hgbot Resolution open => fixed
2017-03-02 09:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q4.3/rev/0cb92027c58534c6b4df14d9546b71730ef7996c [^]
2017-03-02 10:20 caristu Review Assigned To => alostale
2017-03-03 10:36 alostale Note Added: 0094719
2017-03-03 10:36 alostale Status resolved => closed
2017-03-03 10:36 alostale Fixed in Version => 3.0PR16Q4.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker